Subject: iSCSI Mode Page for CRN

From: Ralph Weber <[email-masked]>
Date: Tue, 13 Feb 2001 20:18:51 -0600

I just unearthed the gem below in my ips mail.

Julian is probably way ahead of me on this, but just in case ...

Mode page 18h is the "Protocol specific LUN page", which means that
the last bullet in David's Orlando meeting notes applies.

Sorry for the gigantic delay constant.

Ralph...

David Peterson wrote:

>
> The SCSI command reference number is negotiated via the logical unit control
> page (18h).
> Dave
>
> > - SCSI has defined a new (optional) SCSI Command Ref Number
> >       - iSCSI will use byte #2 in iSCSI header (currently Reserved) to
> >         transport this
> >       - This is not the ideal solution, but matches the level of support
> >         in FCP.
> >       - We have to check where mode page is to negotiate this
> >               - If it's on a transport-specific mode page, iSCSI will
> >                       use a text key to negotiate this instead
> >